aboutsummaryrefslogtreecommitdiff
path: root/test/setup_env.sh
diff options
context:
space:
mode:
authorWilliam Hubbs <w.d.hubbs@gmail.com>2022-04-16 15:13:08 -0500
committerGitHub <noreply@github.com>2022-04-16 15:13:08 -0500
commitfdfa6dbb0e69742029d53f0e163b8e7e7e6860f5 (patch)
tree6a300ef3e1b25e22224b042cc8a8c07b43709950 /test/setup_env.sh
parent0b3f8750e7d307987eef9e63e327488a81c29a71 (diff)
rewrite tests (#515)
* rewrite tests to work with meson This ports our tests to meson and makes them able to be run in parallel. * add tests to ci * rewrite test/check-trailing-newlines in bash This test was using a GNU sed command which does not work on Alpine Linux.
Diffstat (limited to 'test/setup_env.sh')
-rwxr-xr-xtest/setup_env.sh24
1 files changed, 11 insertions, 13 deletions
diff --git a/test/setup_env.sh b/test/setup_env.sh
index 881984f9..1dcd12d2 100755
--- a/test/setup_env.sh
+++ b/test/setup_env.sh
@@ -1,23 +1,21 @@
#!/bin/sh
-if [ -z "${top_srcdir}" ] ; then
- echo "You must set top_srcdir before sourcing this file" 1>&2
+if [ -z "${BUILD_ROOT}" ] ; then
+ printf "%s\n" "You must export BUILD_ROOT before sourcing this file" >&2
exit 1
fi
-srcdir=${srcdir:-.}
-top_builddir=${top_builddir:-${top_srcdir}}
-builddir=${builddir:-${srcdir}}
-
-LD_LIBRARY_PATH=${top_builddir}/src/libeinfo:${top_builddir}/src/librc:${LD_LIBRARY_PATH}
-PATH=${top_builddir}/src/rc:${PATH}
-export LD_LIBRARY_PATH PATH
+if [ -z "${SOURCE_ROOT}" ] ; then
+ printf "%s\n" "You must export SOURCE_ROOT before sourcing this file" >&2
+ exit 1
+fi
-if [ ! -f ${top_srcdir}/sh/functions.sh ] ; then
- echo "functions.sh not yet created !?" 1>&2
+if [ ! -f ${BUILD_ROOT}/sh/functions.sh ] ; then
+ printf "%s\n" "functions.sh not yet created !?" >&2
exit 1
-elif ! . ${top_srcdir}/sh/functions.sh; then
- echo "Sourcing functions.sh failed !?" 1>&2
+elif ! . ${BUILD_ROOT}/sh/functions.sh; then
+ printf "%s\n" "Sourcing functions.sh failed !?" >&2
exit 1
fi
+PATH="${BUILD_ROOT}"/src/einfo:${PATH}